:root {
  --bs-primary-rgb: 95, 25, 235;
  --bs-secondary-rgb: #212529;
  --bs-text-banner-color: #14282A;
  --bs-footer-color: #fff;
  --bs-gradient-primary: radial-gradient(79.64% 45.19% at 63.07% 100%,rgba(6,85,247,.2) 0,rgba(6,85,247,0) 100%),#01091B;
}

html,
body {
  --bs-body-font-family: "Barlow", sans-serif;
  overflow-x: hidden;
}

body {
  padding-top: 92px
}

.fill-theme-red {
  fill: #CF163E;
}
.fill-theme-neutral-subtle {
  fill: #242b34;
}

.bg-logo-contact {
  background: url(../images/logo-labassistant.webp) no-repeat left 100px;
  background-size: 25%;
  mix-blend-mode: multiply;
}

.bg-window-blur {
  padding: 4rem;
  border-radius: .5rem;
  background: rgba(249, 249, 254, .6);
  -webkit-backdrop-filter: blur(50px);
          backdrop-filter: blur(50px);
}

textarea {
  field-sizing: content;
  height: auto !important;
  min-height: 6rem !important
}

.no-before::before {
  display: none
}

.my-absolute {
  margin: -4rem 0 4rem 0
}

.btn-primary {
  background: radial-gradient(79.64% 45.19% at 63.07% 100%,rgba(6,85,247,.2) 0,rgba(6,85,247,0) 100%),#01091B;
  border-color: #01091B;

  &:hover {
    --bs-btn-hover-bg: hsl(220, 100%, 2%);
    --bs-btn-hover-border-color: hsl(220, 100%, 2%);
  }

  &:active {
    --bs-btn-active-bg: hsl(220, 100%, 2%);
    --bs-btn-active-border-color: hsl(220, 100%, 2%);
  }
}

.navbar-area {
  position: fixed;
  width: 100%;
  left: 0;
  top: 0;
  right: 0;
  z-index: 999;
  background: #fff;
  --bs-navbar-padding-y: 1rem;
  -webkit-transition: all .4s ease;
  -moz-transition: all .4s ease;
  -o-transition: all .4s ease;
  transition: all .4s ease;

  & .navbar-brand {
    --bs-navbar-brand-color: var(--bs-text-banner-color);
    --bs-navbar-brand-hover-color: var(--bs-text-banner-color);
  }

  & .nav-link {
    --bs-nav-link-color: var(--bs-text-banner-color);
    font-weight: 500;

    &:hover, &:focus {
      --bs-nav-link-hover-color: var(--bs-text-banner-color);
    }

    &.active {
      --bs-navbar-active-color: var(--bs-text-banner-color);
    }
  }
  
  @media (min-width: 844px) {
    & .navbar-collapse .navbar-nav li {
      display: inline-block;
      position: relative;
      margin: 0 1.8rem;
    }

    & a.nav-link {
      padding-left: 0;
      padding-right: 0;
    }
  }

  & .navbar-collapse .navbar-nav li:hover:before {
    visibility: visible;
    opacity: 1;
    right: auto;
    left: 0;
    width: 100%;
  }

  & .navbar-collapse .navbar-nav li:before {
    position: absolute;
    left: auto;
    right: 0;
    top: 100%;
    content: '';
    background: var(--bs-text-banner-color);
    height: 1px;
    width: 0;
    visibility: hidden;
    opacity: 0;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
  }
}

.base-section {
  padding: 7rem 0;
}

.bg-gradient-primary {
  background-image: var(--bs-gradient-primary);
  background-size: 100% 100%;
  border-radius: 0.375rem;
}

footer {
  position: relative;
  padding-top: 3rem;
  color: var(--bs-footer-color);
  font-weight: 500;
  background: var(--bs-gradient-primary);

  & a {
    color: var(--bs-footer-color) !important;
  }

  & h3 {
    font-size: 7rem;
    font-weight: 900;
    margin: 0;
    line-height: 1;

    span {
      color: #6c757d;
    }
  }
}

.col-lg-3:first-child .circle::after,
.col-lg-3:first-child .circle::before {
  display: none;
}

@media (min-width: 992px) {
  footer .nav {
    float: right;
  }
}

@media (max-width: 1180px) {
  .bg-logo-contact {
    background-size: 50%
  }

  .text-banner {
    padding: 0 1rem;
    margin-left: 0;
    width: 100%;

    & h1 {
      font-size: 2.5rem;
    }

    & h2 {
      font-size: 1.8rem;
    }
  }
}

@media (max-width: 844px) {
  .bg-logo-contact {
    background-size: 450px
  }

  .bg-window-blur {
    padding: 3rem
  }

  .navbar-area {
    & #logo {
      height: 60px
    }

    & .nav-link {
      padding: .8rem 0
    }

    & .btn {
      margin-top: .5rem
    }
  }

  .base-section {
    padding: 4rem 0;
    min-height: auto !important;

    & h2 {
      font-size: 1.8rem
    }
  }

  .my-absolute {
    margin: -2rem 0 2rem 0
  }

  footer {
    text-align: center;

    & [data-aos^=fade][data-aos^=fade] {
      opacity: 1;
    }

    & [data-aos=fade-up] {
      transform: none;
    }

    & h3 {
      font-size: 3rem;
    }

    & .nav {
      text-align: center;
      flex-direction: inherit;
      justify-content: center;
      margin: 2rem 0;
      flex-wrap: inherit;
    }
  }
}